Loading...
Searching...
No Matches
lirc_client.h File Reference
Client API

3-rd party application interface. More...

`#include <errno.h>`
`#include <stdarg.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <syslog.h>`
`#include <unistd.h>`
`#include "lirc/paths.h"`
`#include "lirc/lirc_config.h"`
`#include "lirc/curl_poll.h"`

Go to the source code of this file.

## Classes

struct | lirc_list
struct | lirc_code
struct | lirc_config
struct | lirc_config_entry
struct | lirc_cmd_ctx
| The data needed to run a command on remote server. More...

## Macros

#define | LIRC_RET_SUCCESS (0)
#define | LIRC_RET_ERROR (-1)
#define | LIRC_ALL ((char*)(-1))

## Enumerations

enum | lirc_flags { none = 0x00 , once = 0x01 , quit = 0x02 , mode = 0x04 , ecno = 0x08 , startup_mode = 0x10 , toggle_reset = 0x20 }

## Functions

int | lirc_init (const char *prog, int verbose)
| Initial setup: connect to lircd socket.
void | lirc_set_verbose (int verbose)
| Dynamically change the verbose level defined by lirc_init().
int | lirc_deinit (void)
| Release resources allocated by lirc_init(), basically disconnect from socket.
int | lirc_readconfig (const char *path, struct lirc_config **config, int(check)(char *s))
| Parse a lircrc configuration file.
void | lirc_freeconfig (struct lirc_config *config)
| Deallocate an object retrieved using lirc_readconfig().
char * | lirc_nextir (void)
char * | lirc_ir2char (struct lirc_config *config, char *code)
int | lirc_nextcode (char **code)
| Get next available code from the lircd daemon.
int | lirc_code2char (struct lirc_config *config, char *code, char **string)
| Translate a code string to an application string using .lircrc.
int | lirc_readconfig_only (const char *file, struct lirc_config **config, int(check)(char *s))
| Parse a lircrc configuration file without connecting to lircrcd.
int | lirc_code2charprog (struct lirc_config *config, char *code, char **string, char **prog)
size_t | lirc_getsocketname (const char *id, char *buf, size_t size)
| Retrieve default lircrcd socket path.
const char * | lirc_getmode (struct lirc_config *config)
| Get mode defined in lircrc.
const char * | lirc_setmode (struct lirc_config *config, const char *mode)
| Set mode defined in lircrc.
int | lirc_command_init (lirc_cmd_ctx *ctx, const char *fmt,...)
| Initiate a lirc_cmd_ctx to run a command.
int | lirc_command_run (lirc_cmd_ctx *ctx, int fd)
| Run a command in non-blocking mode.
void | lirc_command_reply_to_stdout (lirc_cmd_ctx *ctx)
| Set command_ctx write_to_stdout flag.
int | lirc_send_one (int fd, const char *remote, const char *keysym)
| Send keysym using given remote.
int | lirc_simulate (int fd, const char *remote, const char *keysym, int scancode, int repeat)
| Send a simulated lirc event.This call might block for some time since it involves communication with lircd.
int | lirc_get_remote_socket (const char *address, int port, int quiet)
| Return an opened and connected file descriptor to remote lirc socket.
int | lirc_get_local_socket (const char *path, int quiet)
| Return an opened and connected file descriptor to local lirc socket.

## Detailed Description

3-rd party application interface.

Author
  Trent Piepho, Christoph Bartelmus

Definition in file lirc_client.h.

## Macro Definition Documentation

## LIRC_ALL

#define LIRC_ALL ((char*)(-1))

Definition at line 134 of file lirc_client.h.

## LIRC_RET_ERROR

#define LIRC_RET_ERROR (-1)

Definition at line 132 of file lirc_client.h.

## LIRC_RET_SUCCESS

#define LIRC_RET_SUCCESS (0)

Definition at line 131 of file lirc_client.h.

## Enumeration Type Documentation

## lirc_flags

enum lirc_flags

Definition at line 137 of file lirc_client.h.